_Evas_Textblock_Node_Format Struct Reference

## Data Fields

| EINA_INLIST
const char * | format
| Cached, parsed and translated version of orig_format.
const char * | orig_format
| Original format information.
Evas_Object_Textblock_Node_Text * | text_node
| The text node it's pointing to.
Efl_Text_Attribute_Handle * | annotation
| Pointer to this node's annotation handle (if exists).
size_t | offset
| Offset from the last format node of the same text.
struct { |
unsigned char l |
unsigned char r |
unsigned char t |
unsigned char b |
} | pad
| Amount of padding required.
unsigned char | anchor: 2
| ANCHOR_NONE, ANCHOR_A or ANCHOR_ITEM.
Eina_Bool | opener: 1
| EINA_TRUE if opener, else EINA_FALSE.
Eina_Bool | own_closer: 1
| EINA_TRUE if own_closer, else EINA_FALSE.
Eina_Bool | visible: 1
| EINA_TRUE if format is visible format, else EINA_FALSE.
Eina_Bool | format_change: 1
| EINA_TRUE if the format of the textblock has changed, else EINA_FALSE.
Eina_Bool | is_new: 1
| EINA_TRUE if its a new format node, else EINA_FALSE.